Glanced
Glanced

Bulk update subscriptions

Bulk update subscriptions (pause/resume, pin/unpin, move to folder).

PATCH
/v1/subscriptions
AuthorizationBearer <token>

API key (glanced_live_…). Required on operations marked with this scheme; rejected elsewhere.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

PATCH '/v1/subscriptions'.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "subscription_ids": [      "97d30d42-af8d-4188-be08-78790d810796"    ]  }'
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "source_type": "feed",    "title": "string",    "unread_count": 0,    "status": "healthy",    "website": "string",    "is_pinned": false,    "is_active": true,    "newsletter_address": "string",    "podcast_id": "4c1cb0f8-818b-4f7a-9ddb-0d1ea990b35a",    "artist": "string",    "playback_speed": 0  }]

How is this guide?